org.apache.poi.ss.formula.functions

## Class DMin

- java.lang.Object
- - org.apache.poi.ss.formula.functions.DMin

- All Implemented Interfaces:
    IDStarAlgorithm

      public final class DMin
      extends java.lang.Object
      implements IDStarAlgorithm

  Implementation of the DMin function: Finds the minimum value of a column in an area with given conditions. TODO: - wildcards ? and * in string conditions - functions as conditions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DMin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `getResult()` Return a result ValueEval that will be the result of the calculation.
    `boolean` | `processMatch(ValueEval eval)` Process a match that is found during a run through a database.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DMin

          public DMin()

  - ### Method Detail

    - #### processMatch

          public boolean processMatch(ValueEval eval)

      Description copied from interface: `IDStarAlgorithm`
      Process a match that is found during a run through a database.
      Specified by:
        `processMatch` in interface `IDStarAlgorithm`
      Parameters:
        `eval` - ValueEval of the cell in the matching row. References will already be resolved.
      Returns:
        Whether we should continue iterating through the database.

    - #### getResult

          public ValueEval getResult()

      Description copied from interface: `IDStarAlgorithm`
      Return a result ValueEval that will be the result of the calculation. This is always called at the end of a run through the database.
      Specified by:
        `getResult` in interface `IDStarAlgorithm`
      Returns:
        a ValueEval

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.